#############################################################################
# Makefile for building: moc
# Generated by qmake (1.02a) on: Sun Jun 23 21:21:59 2002
# Project:  moc.pro
# Template: app
# Command: $(QMAKE) moc.pro
#############################################################################

####### Compiler, tools and options

CC		=	cl
CXX		=	cl
LEX		= flex
YACC		= byacc
CFLAGS	=	-nologo -Zm200 -O1  -DQT_MOC -DQT_NO_CODECS -DQT_LITE_UNICODE -DQT_NO_COMPONENT -DQT_NO_STL -DQT_NODLL
CXXFLAGS	=	-nologo -Zm200 -O1  -DQT_MOC -DQT_NO_CODECS -DQT_LITE_UNICODE -DQT_NO_COMPONENT -DQT_NO_STL -DQT_NODLL
LEXFLAGS	=
YACCFLAGS	=-d
INCPATH	=	 -I"$(QTDIR)\include" -I"..\tools" -I"." -I"$(QTDIR)\mkspecs\win32-msvc"
LINK	=	link
LFLAGS	=	/NOLOGO delayimp.lib /DELAYLOAD:comdlg32.dll /DELAYLOAD:oleaut32.dll /DELAYLOAD:winmm.dll /DELAYLOAD:wsock32.dll /DELAYLOAD:winspool.dll /SUBSYSTEM:console /incremental:no
LIBS	=	
MOC		=	$(QTDIR)\bin\moc.exe
UIC		=	$(QTDIR)\bin\uic.exe
QMAKE		=	qmake
IDC		=	$(QTDIR)\bin\idc.exe
IDL		=	midl
ZIP		=	zip -r -9
COPY_FILE	=       copy
COPY_DIR	=       copy
DEL_FILE	=       del
DEL_DIR	=       deltree
MOVE		=       move

####### Files

HEADERS =	
SOURCES =	..\tools\qbuffer.cpp \
		..\tools\qptrcollection.cpp \
		..\tools\qcstring.cpp \
		..\tools\qdatastream.cpp \
		..\tools\qdatetime.cpp \
		..\tools\qfile.cpp \
		..\tools\qgarray.cpp \
		..\tools\qgdict.cpp \
		..\tools\qglist.cpp \
		..\tools\qglobal.cpp \
		..\tools\qgvector.cpp \
		..\tools\qiodevice.cpp \
		..\tools\qregexp.cpp \
		..\tools\qstring.cpp \
		..\tools\qstringlist.cpp \
		..\tools\qtextstream.cpp \
		..\tools\qbitarray.cpp \
		..\tools\qmap.cpp \
		..\tools\qgcache.cpp \
		..\codecs\qtextcodec.cpp \
		..\codecs\qutfcodec.cpp \
		..\tools\qfile_win.cpp \
		moc_yacc.cpp
OBJECTS =	qbuffer.obj \
		qptrcollection.obj \
		qcstring.obj \
		qdatastream.obj \
		qdatetime.obj \
		qfile.obj \
		qgarray.obj \
		qgdict.obj \
		qglist.obj \
		qglobal.obj \
		qgvector.obj \
		qiodevice.obj \
		qregexp.obj \
		qstring.obj \
		qstringlist.obj \
		qtextstream.obj \
		qbitarray.obj \
		qmap.obj \
		qgcache.obj \
		qtextcodec.obj \
		qutfcodec.obj \
		qfile_win.obj \
		moc_yacc.obj
FORMS =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	..\..\bin\moc.exe

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .c

.cpp.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cxx.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cc.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.c.obj:
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) /OUT:$(TARGET) @<< 
	  $(OBJECTS) $(OBJMOC) $(LIBS)
<<


mocables: $(SRCMOC)

Makefile: moc.pro  $(QTDIR)\mkspecs\win32-msvc/qmake.conf 
	$(QMAKE) moc.pro
qmake: 
	@$(QMAKE) moc.pro

dist:
	$(ZIP) .zip .pro $(SOURCES) $(HEADERS) $(DIST) $(FORMS)

clean:
	-del qbuffer.obj
	-del qptrcollection.obj
	-del qcstring.obj
	-del qdatastream.obj
	-del qdatetime.obj
	-del qfile.obj
	-del qgarray.obj
	-del qgdict.obj
	-del qglist.obj
	-del qglobal.obj
	-del qgvector.obj
	-del qiodevice.obj
	-del qregexp.obj
	-del qstring.obj
	-del qstringlist.obj
	-del qtextstream.obj
	-del qbitarray.obj
	-del qmap.obj
	-del qgcache.obj
	-del qtextcodec.obj
	-del qutfcodec.obj
	-del qfile_win.obj
	-del moc_yacc.obj

####### Compile

qbuffer.obj: ..\tools\qbuffer.cpp $(QTDIR)\include\qbuffer.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqbuffer.obj ..\tools\qbuffer.cpp

qptrcollection.obj: ..\tools\qptrcollection.cpp $(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqptrcollection.obj ..\tools\qptrcollection.cpp

qcstring.obj: ..\tools\qcstring.cpp $(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqcstring.obj ..\tools\qcstring.cpp

qdatastream.obj: ..\tools\qdatastream.cpp $(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qbuffer.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqdatastream.obj ..\tools\qdatastream.cpp

qdatetime.obj: ..\tools\qdatetime.cpp $(QTDIR)\include\qdatetime.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qnamespace.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqdatetime.obj ..\tools\qdatetime.cpp

qfile.obj: ..\tools\qfile.cpp $(QTDIR)\include\qfile.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqfile.obj ..\tools\qfile.cpp

qgarray.obj: ..\tools\qgarray.cpp $(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqgarray.obj ..\tools\qgarray.cpp

qgdict.obj: ..\tools\qgdict.cpp $(QTDIR)\include\qgdict.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqgdict.obj ..\tools\qgdict.cpp

qglist.obj: ..\tools\qglist.cpp $(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qgvector.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qtextstream.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqglist.obj ..\tools\qglist.cpp

qglobal.obj: ..\tools\qglobal.cpp $(QTDIR)\include\qasciidict.h \
		$(QTDIR)\include\qt_windows.h \
		$(QTDIR)\include\qgdict.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qnamespace.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqglobal.obj ..\tools\qglobal.cpp

qgvector.obj: ..\tools\qgvector.cpp $(QTDIR)\include\qgvector.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqgvector.obj ..\tools\qgvector.cpp

qiodevice.obj: ..\tools\qiodevice.cpp $(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqiodevice.obj ..\tools\qiodevice.cpp

qregexp.obj: ..\tools\qregexp.cpp $(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qbitarray.h \
		$(QTDIR)\include\qcache.h \
		$(QTDIR)\include\qintdict.h \
		$(QTDIR)\include\qmap.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qptrvector.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qgcache.h \
		$(QTDIR)\include\qgdict.h \
		$(QTDIR)\include\qpair.h \
		$(QTDIR)\include\qgvector.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqregexp.obj ..\tools\qregexp.cpp

qstring.obj: ..\tools\qstring.cpp $(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qtextcodec.h \
		$(QTDIR)\include\qt_windows.h \
		$(QTDIR)\include\qcleanuphandler.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qnamespace.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqstring.obj ..\tools\qstring.cpp

qstringlist.obj: ..\tools\qstringlist.cpp $(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqstringlist.obj ..\tools\qstringlist.cpp

qtextstream.obj: ..\tools\qtextstream.cpp $(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qtextcodec.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qbuffer.h \
		$(QTDIR)\include\qfile.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqtextstream.obj ..\tools\qtextstream.cpp

qbitarray.obj: ..\tools\qbitarray.cpp $(QTDIR)\include\qbitarray.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqbitarray.obj ..\tools\qbitarray.cpp

qmap.obj: ..\tools\qmap.cpp $(QTDIR)\include\qmap.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qpair.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qtextstream.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqmap.obj ..\tools\qmap.cpp

qgcache.obj: ..\tools\qgcache.cpp $(QTDIR)\include\qgcache.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qdict.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qgdict.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqgcache.obj ..\tools\qgcache.cpp

qtextcodec.obj: ..\codecs\qtextcodec.cpp $(QTDIR)\include\qtextcodec.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qtextcodecfactory.h \
		$(QTDIR)\include\qutfcodec.h \
		$(QTDIR)\include\qnamespace.h \
		$(QTDIR)\include\qrtlcodec.h \
		$(QTDIR)\include\qtsciicodec.h \
		$(QTDIR)\include\qfile.h \
		$(QTDIR)\include\qstrlist.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qtextstream.h \
		$(QTDIR)\include\qiodevice.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqtextcodec.obj ..\codecs\qtextcodec.cpp

qutfcodec.obj: ..\codecs\qutfcodec.cpp $(QTDIR)\include\qutfcodec.h \
		$(QTDIR)\include\qtextcodec.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqutfcodec.obj ..\codecs\qutfcodec.cpp

qfile_win.obj: ..\tools\qfile_win.cpp $(QTDIR)\include\qfile.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Foqfile_win.obj ..\tools\qfile_win.cpp

moc_yacc.obj: moc_yacc.cpp moc_yacc.h \
		$(QTDIR)\include\qasciidict.h \
		$(QTDIR)\include\qdatetime.h \
		$(QTDIR)\include\qdict.h \
		$(QTDIR)\include\qfile.h \
		$(QTDIR)\include\qptrlist.h \
		$(QTDIR)\include\qregexp.h \
		$(QTDIR)\include\qstrlist.h \
		moc_lex.cpp \
		$(QTDIR)\include\qgdict.h \
		$(QTDIR)\include\qptrcollection.h \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qnamespace.h \
		$(QTDIR)\include\qiodevice.h \
		$(QTDIR)\include\qglist.h \
		$(QTDIR)\include\qstringlist.h \
		$(QTDIR)\include\qvaluelist.h \
		$(QTDIR)\include\qtl.h \
		$(QTDIR)\include\qdatastream.h \
		$(QTDIR)\include\qtextstream.h \
		.\moc_lex.cpp \
		$(QTDIR)\include\qstring.h \
		$(QTDIR)\include\qcstring.h \
		$(QTDIR)\include\qmemarray.h \
		$(QTDIR)\include\qgarray.h \
		$(QTDIR)\include\qshared.h \
		$(QTDIR)\include\qglobal.h \
		$(QTDIR)\include\qconfig.h \
		$(QTDIR)\include\qmodules.h \
		$(QTDIR)\include\qfeatures.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fomoc_yacc.obj moc_yacc.cpp

.\moc_yacc.cpp: moc.y
	$(YACC) $(YACCFLAGS) moc.y
	-$(DEL_FILE) .\moc_yacc.cpp .\moc_yacc.h
	-$(MOVE) y.tab.h .\moc_yacc.h
	-$(MOVE) y.tab.c .\moc_yacc.cpp

.\moc_yacc.h: .\moc_yacc.cpp

.\moc_lex.cpp: moc.l 
	$(LEX) $(LEXFLAGS) moc.l
	-$(DEL_FILE) .\moc_lex.cpp 
	-$(MOVE) lex.yy.c .\moc_lex.cpp

####### Install

install: all 

uninstall: 

